FreeBSD : unzip -- input sanitization errors (d9360908-9d52-11e4-87fd-10bf48e1088e)

High Nessus Plugin ID 80577


The remote FreeBSD host is missing a security-related update.


oCERT reports :

The UnZip tool is an open source extraction utility for archives compressed in the zip format.

The unzip command line tool is affected by heap-based buffer overflows within the CRC32 verification, the test_compr_eb() and the getZip64Data() functions. The input errors may result in arbitrary code execution.

A specially crafted zip file, passed to unzip -t, can be used to trigger the vulnerability.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 80577

File Name: freebsd_pkg_d93609089d5211e487fd10bf48e1088e.nasl

Version: $Revision: 1.1 $

Type: local

Published: 2015/01/19

Modified: 2015/01/19

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:unzip, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2015/01/16

Vulnerability Publication Date: 2014/12/03

Reference Information

CVE: CVE-2014-8139, CVE-2014-8140, CVE-2014-8141